Show / Hide Table of Contents

# Delegate WorkspaceService<TConfig>.ConfigChangeCallback

Delegate for callbacks that occur when the configuration for the workspace changes

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task ConfigChangeCallback(TConfig newSettings, TConfig oldSettings, EventContext eventContext);

##### Parameters

Type | Name | Description
--- | --- | ---
TConfig | newSettings | The settings that were just set
TConfig | oldSettings | The settings before they were changed
EventContext | eventContext | Context of the event that triggered the callback

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |